PresSTORE on Linux requires native posix thread library
Posted by Sven Koester, Last modified by Andre Kuehnemund on 22 July 2011 11:44

When starting PresSTORE on Linux, it may appear that the server does not start and instead the follwoing error message appears:


/usr/local/aw/start-server: line 272: 17021 Aborted (core dumped)
$LEXXDIR/bin/nsd -w -u $usr -t $cf >/tmp/$srv.$$ 2>&1
lexxsrv (Linux "NPTL" thread library required. Found: "linuxthreads-0.10")
Started 0 from 1 application servers.


PresSTORE requires the posix threads installed. The error message means that the linix-thread (non Posix) Library is found instead.
Please install the NTPL Posix Thread Library.
See more at:
http://en.wikipedia.org/wiki/Native_POSIX_Thread_Library

(262 vote(s))
Helpful
Not helpful

Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments:
CAPTCHA Verification 
 
Please enter the text you see in the image into the textbox below (we use this to prevent automated submissions).